## xdm 1.1.11

=== debian/changelog ===
xdm (1:1.1.11-6.1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2115340) Remaining changes:
    - d/p/ubuntu_no_whiteglass.diff: Don't hardcode the default Xcursor
      theme to whiteglass. Use the Ubuntu default x-cursor-theme instead.
    - debian/{rules, xdm.install, local/ubuntu*}: Add Ubuntu graphics and
      configure xdm to use them by default.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 25 Jun 2025 09:12:58 +0530

xdm (1:1.1.11-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debconf template translation
    - Turkish translation.
      Thanks to Mert Dirik and Atila KOÇ (Closes: #756716, #1031385)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Dec 2024 17:47:08 +0100

xdm (1:1.1.11-6) unstable; urgency=medium

  * Initial clean-up of packaging metadata.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Fix homepage field.
  * debian/control: Fix Vcs-* fields.
  * debian/watch: Upgrade to v4 format. (Closes: #1003498)
  * debian/README.source: Dropped, now useless.
  * debian/gbp.conf: Use DEP-14 format.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Oct 2024 12:48:20 -0400

xdm (1:1.1.11-5) unstable; urgency=medium

  * debian/rules: Add missing build-arch target.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Oct 2024 00:06:31 -0400

xdm (1:1.1.11-4) unstable; urgency=medium

  * Take over package maintenance. (Closes: #1073805)
  * debian/control: Set myself as package uploader.
  * debian/control: Use sysvinit-utils (>= 3.05-4~) | lsb-base as dependency
    to suppress lintian error.
  * debian/source/format: Use "3.0 (quilt)".
    + autogen.sh: Removed, not useful.
  * debian/rules: Export CFLAGS with -fpermissive to fix FTBFS with GCC-14.
    (Closes: #1075656)

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 21:49:55 -0400

xdm (1:1.1.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Let systemd.pc determine the location of systemd units. (Closes: #1063693)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 03:12:21 +0200

xdm (1:1.1.11-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:34:23 +1100

xdm (1:1.1.11-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:00:08 +0000

xdm (1:1.1.11-3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:16:32 +0000

xdm (1:1.1.11-3ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{rules, xdm.install, local/ubuntu*}:
      + Add Ubuntu graphics and configure xdm to use them by default.
    - debian/patches/ubuntu_no_whiteglass.diff: Don't hardcode
      the default Xcursor theme to whiteglass. Use the Ubuntu
      default x-cursor-theme instead.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 31 Dec 2016 18:03:33 +0530

xdm (1:1.1.11-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Explicitly set the path to the systemd system service
    directory, fix FTBFS on !linux architectrures

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Dec 2015 20:31:53 +0100

xdm (1:1.1.11-2) unstable; urgency=medium

  * Team upload.
  [ Julien Cristau ]
  * xdm.init: remove hal dependency (closes: #605750)

  [ Laurent Bigonville ]
  * Add xdm.service file and the needed machinery to update the
    display-manager.service symlink (Closes: #759005)
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * Bump debhelper compatibility to 9
  * debian/xdm.pam: Call pam_loginuid.so and pam_selinux.so modules (Closes:
    #664807, #677437)
  * debian/control: Update the Vcs-* URL's to please lintian
  * debian/xdm.README.Debian: Fix a typo
  * debian/rules: Use dh_prep instead of dh_clean -k

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Dec 2015 18:12:00 +0100

xdm (1:1.1.11-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/{rules, xdm.install, local/ubuntu*}:
      + Add Ubuntu graphics and configure xdm to use them by default.
    - debian/patches/ubuntu_no_whiteglass.diff: Don't hardcode
      the default Xcursor theme to whiteglass. Use the Ubuntu
      default x-cursor-theme instead.

  * Drop debian/patches/ftbfs_binutils-gold.diff: Fixed upstream
  * Change Vcs-* to XS-Debian-Vcs-*
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 09 Dec 2011 03:00:26 -0600

xdm (1:1.1.11-1) unstable; urgency=low

  [ Joe Hansen ]
  * Updated Danish debconf template translation (closes: #598777).

  [ Julien Cristau ]
  * Remove David and Brice from Uploaders.
  * Drop obsolete Pre-Depends on x11-common.
  * Use linux-any wildcard for libselinux build-dep (closes: #634466).
  * New upstream release
    + Check for allowRootLogin on PAM and non-OpenBSD passwd authentication
      backends (closes: #442088)
    + greeter: Add echoPasswdChar resource to set character to display
      (closes: #575486)
    + Fix linking with gold (closes: #556694)
  * Update patches 06_hurd_utsname.diff, 20_xdm_log_timestamp.diff,
    21_xdm_log_append.diff, debian.diff, doc_mention_xdm.options.diff,
    support_logfile_rotation.diff.
  * Don't require fakeroot for debian/rules clean.
  * Upstream dropped the option to link the greeter statically, so install
    libXdmGreeter.so and don't pass the --disable-dynamic-greeter option to
    configure.
  * Add patch to link the greeter against -lXrender.
  * Use dpkg-buildflags and enable pie and bindnow hardening.
  * Disable silent rules.

 -- Julien Cristau <jcristau@debian.org>  Sat, 22 Oct 2011 18:03:53 +0200

xdm (1:1.1.10-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #682196)
    - debian/{rules, xdm.install, local/ubuntu*}:

