=== debian/control ===
Source: xdm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-exec,
 dpkg-dev (>= 1.16.1),
 pkgconf,
 libxmu-dev (>= 1:1.0.1),
 libx11-dev (>= 2:1.0.0),
 libxau-dev (>= 1:1.0.0),
 libxaw7-dev (>= 1:1.0.1),
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libxinerama-dev (>= 1:1.0.1),
 libxft-dev,
 quilt,
 automake,
 libtool,
 systemd-dev,
 xutils-dev,
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/xorg/app/xdm
Vcs-Git: https://salsa.debian.org/xorg-team/app/xdm.git
Vcs-Browser: https://salsa.debian.org/xorg-team/app/xdm

Package: xdm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf (>= 1.2.9) | debconf-2.0,
 x11-utils | xbase-clients | xmessage,
 cpp,
 sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.2-14),
 x11-xserver-utils,
 procps,
Provides: x-display-manager
Description: X display manager
 xdm manages a collection of X servers, which may be on the local host or
 remote machines.  It provides services similar to those provided by init,
 getty, and login on character-based terminals: prompting for login name and
 password, authenticating the user, and running a session.  xdm supports XDMCP
 (X Display Manager Control Protocol) and can also be used to run a chooser
 process which presents the user with a menu of possible hosts that offer
 XDMCP display management.
