=== debian/watch ===
version=4
opts="" \
 https://xorg.freedesktop.org/releases/individual/app/ xdm-(.*)\.tar\.gz
