## xdm 1.1.17

=== debian/changelog ===
xdm (1:1.1.17-2) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * debian/po/ro.po: Update debconf Romanian PO translation.
    (Closes: #1089564)

  [ Boyuan Yang ]
  * debian/rules: Avoid directly querying DEB_HOST_* and DEB_BUILD_*
    variables. Use "include /usr/share/dpkg/default.mk" instead.
  * debian/patches/1000-fix-hurd-build.patch: Add patch to try to
    fix hurd build after 1.1.17 release.
  * debian/po/sv.po: Convert from ISO-8859-1 encoding to UTF-8.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Dec 2025 10:40:36 -0500

xdm (1:1.1.17-1) unstable; urgency=medium

  * New upstream release 1.1.17 after reviewing each upstream commit.
    (Closes: #1003499, #1042393).
    This upload targets on shipping the latest xdm upstream release.
    The Debian packaging for xdm still needs more work. On the other
    hand, the migration of patches onto the new upstream release might
    be buggy. Please test this release out and report back any encountered
    issues.
  * Packaging updates:
    + debian/control: Bump debhelper compat to v13.
    + debian/control: Bump Standards-Version to 4.7.2.
    + debian/control: Drop useless build-dep dpkg-dev, automake, libtool.
    + debian/rules: Migrate to dh_missing.
    + debian/xdm.install: Do not modify file permission on-the-fly.
    + debian/xdm.install: Ship the new xdm(8) instead of xdm(1) man page.
  * debian/watch: Monitor tar.xz release.
  * debian/control: Build-depends on libcrypt-dev. (Closes: #1107039)
  * debian/rules: Drop the old temp fix (-fpermissive) for Bug #1075656.
  * debian/control: Drop obsolete dependencies that are not needed anymore:
    - sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.2-14)
    - xbase-clients | xmessage
  * Refresh patches:
    - debian/patches/greeter-xrender.diff: Dropped, merged upstream.
    - debian/patches/06_hurd_utsname.diff: Dropped for now,
      upstream removed the whole source code section.
    + debian/patches/22_systemd_service.diff: Refreshed.
    + debian/patches/support_logfile_rotation.diff: Refreshed.
    + debian/patches/debian.diff: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Dec 2025 22:50:06 -0500
