=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: xdm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-exec,
- dpkg-dev (>= 1.16.1),
  pkgconf,
+ libcrypt-dev,
  libxmu-dev (>= 1:1.0.1),
  libx11-dev (>= 2:1.0.0),
  libxau-dev (>= 1:1.0.0),
@@ -18,12 +17,11 @@
  libselinux1-dev [linux-any],
  libxinerama-dev (>= 1:1.0.1),
  libxft-dev,
+ libxrender-dev,
  quilt,
- automake,
- libtool,
  systemd-dev,
  xutils-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/xorg/app/xdm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xdm.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xdm
@@ -34,9 +32,8 @@
  ${shlibs:Depends},
  ${misc:Depends},
  debconf (>= 1.2.9) | debconf-2.0,
- x11-utils | xbase-clients | xmessage,
+ x11-utils,
  cpp,
- sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.2-14),
  x11-xserver-utils,
  procps,
 Provides: x-display-manager
