=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # set this to the name of the main shlib's binary package
 PACKAGE = xdm
 
+include /usr/share/dpkg/default.mk
 include debian/xsfbs/xsfbs.mk
 
 export deb_systemdsystemunitdir := $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
@@ -24,26 +25,20 @@
 	--with-xdmscriptdir=\$${xdmconfigdir} \
 	--with-authdir=/var/lib/xdm \
 	--with-pixmapdir=/usr/share/X11/xdm/pixmaps \
-	--with-color-pixmap=ubuntu.xpm \
-	--with-bw-pixmap=ubuntu.xpm \
+	--with-color-pixmap=debian.xpm \
+	--with-bw-pixmap=debianbw.xpm \
 	--with-systemdsystemunitdir \
 	--disable-xdm-auth \
 	--with-xft \
 	--disable-silent-rules \
 	$(NULL)
 
-# Temp fix for https://bugs.debian.org/1075656
-configure_vars = $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie,+bindnow" DEB_CFLAGS_MAINT_APPEND="-Wall -fpermissive" dpkg-buildflags --export=configure)
+configure_vars = $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie,+bindnow" DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags --export=configure)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
-
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --build=$(DEB_HOST_GNU_TYPE)
@@ -107,10 +102,6 @@
 	install -d debian/tmp/usr/share/man/man5
 	install -m 644 debian/local/xdm.options.5 \
 	               debian/tmp/usr/share/man/man5/
-	install -m 644 debian/local/ubuntu.xpm \
-	               $(CURDIR)/debian/tmp/usr/share/X11/xdm/pixmaps/
-	install -m 644 debian/local/ubuntubw.xpm \
-	               $(CURDIR)/debian/tmp/usr/share/X11/xdm/pixmaps/
 	install -m 644 debian/local/debian.xpm \
 	               debian/tmp/usr/share/X11/xdm/pixmaps/
 	install -m 644 debian/local/debianbw.xpm \
@@ -135,8 +126,7 @@
 	dh_testroot
 
 	dh_installdocs
-	chmod +x debian/xdm.install
-	dh_install --sourcedir=debian/tmp --list-missing
+	dh_install --sourcedir=debian/tmp
 	dh_installchangelogs ChangeLog
 	dh_installinit --noscripts
 	dh_installdebconf
@@ -146,6 +136,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_missing
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
